Noms de domaine
GET https://uptime4.com/api/domain-names/
curl --request GET \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Quel champ recherchez-vous ? Les valeurs autorisées sont : name, target. |
| is_enabled | Optionnel Booléen | |
| project_id | Optionnel Entier | |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | Optionnel Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optionnel Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optionnel Chaîne | Quel champ pour trier les résultats. Les valeurs autorisées sont : domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1. |
| results_per_page | Optionnel Entier | Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:53"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptime4.com/api/domain-names?page=1",
"last": "https://uptime4.com/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/domain-names?page=1"
}
}
GET https://uptime4.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:53"
}
}
POST https://uptime4.com/api/domain-names
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| target | Requis Chaîne | - |
| project_id | Optionnel Entier | - |
| whois_notifications | Optionnel Tableau | Identifiants de gestionnaire de notifications |
| whois_notifications_timing | Optionnel Entier | Valeurs autorisées : 1, 2, 3, 7, 14, 30, 60 (jours) |
| ssl_notifications | Optionnel Tableau | Identifiants de gestionnaire de notifications |
| ssl_notifications_timing | Optionnel Entier | Valeurs autorisées : 1, 2, 3, 7, 14, 30, 60 (jours) |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": null,
"whois_notifications": [],
"ssl": null,
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:53"
}
}
POST https://uptime4.com/api/domain-names/{domain_name_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | - |
| target | Optionnel Chaîne | - |
| project_id | Optionnel Entier | - |
| whois_notifications | Optionnel Tableau | Identifiants de gestionnaire de notifications |
| whois_notifications_timing | Optionnel Entier | Valeurs autorisées : 1, 2, 3, 7, 14, 30, 60 (jours) |
| ssl_notifications | Optionnel Tableau | Identifiants de gestionnaire de notifications |
| ssl_notifications_timing | Optionnel Entier | Valeurs autorisées : 1, 2, 3, 7, 14, 30, 60 (jours) |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:53"
}
}
DELETE https://uptime4.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \